package com.ruoyi.demo.entity.bo;

import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class StatisticsAddBo {
    @NotBlank(groups = {AddGroup.class},message = "计划Id不能为空")
    private String planId;
    @NotBlank(groups = {AddGroup.class},message = "计划名称不能为空")
    private String planName;

    @NotBlank(groups = {AddGroup.class},message = "appkey不能为空")
    private String appkey;
    @NotBlank(groups = {AddGroup.class},message = "设备Id不能为空")
    private String equipmentId;
    @NotBlank(groups = {AddGroup.class},message = "设备名称不能为空")
    private String equipmentName;
    @NotBlank(groups = {AddGroup.class},message = "设备编号不能为空")
    private String equipmentCode;

    @NotBlank(groups = {AddGroup.class},message = "地址信息不能为空")
    private String addrInfo;

    @NotBlank(groups = {AddGroup.class},message = "商品Id不能为空")
    private String goodsId;
    @NotBlank(groups = {AddGroup.class},message = "商品名称不能为空")
    private String goodsName;
    @NotNull(groups = {AddGroup.class},message = "交易总数不能为空")
    private Integer dealToolCount;
    @NotNull(groups = {AddGroup.class},message = "交易总金额不能为空")
    private Float dealToolPrice;
    @NotBlank(groups = {AddGroup.class},message = "客户Id不能为空")
    private String userId;
    @NotBlank(groups = {AddGroup.class},message = "客户姓名不能为空")
    private String userName;
    @NotBlank(groups = {AddGroup.class},message = "客户联系方式不能为空")
    private String userTelephone;
    @NotNull(groups = {AddGroup.class},message = "行为不能为空")
    private Integer behavior;
    @NotNull(groups = {AddGroup.class},message = "交易时间不能为空")
    private String time;
    @NotBlank(groups = {AddGroup.class},message = "签名不能为空")
    private String sign;
}
